- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardCards#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardCards#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardCards#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardCards#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardCards#body.GetLegacySoarDashboardCardsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardCards#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardCards#body.aspect_1)

**Full name**: projects.locations.instances.legacySoarDashboard.legacyGetDashboardCards

Returns a mapping of dashboard IDs to their names for all dashboards accessible by the requesting user. This is typically used for populating navigation menus or dashboard selectors.

### HTTP request

`GET https://{endpoint}/v1alpha/{instance}/legacySoarDashboard:legacyGetDashboardCards`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to get the dashboard cards for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body must be empty.

### Response body

GetLegacySoarDashboardCardsResponse represents the response for getting dashboard cards.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payload": { string: string, ... } } ``` |

| Fields ||
|---|---|
| `payload` | `map (key: string (https://developers.google.com/discovery/v1/type-format format), value: string)` Optional. The cards of the dashboard. An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacySoarDashboards.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).